package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF60D extends MwfRequest<MWF60D, MWF60DResponse> {

    @Parameter(name = "BusinessRequestor")
    MWF60D businessRequestor(String businessRequestor);
    @Parameter(name = "BusinessTarget")
    MWF60D businessTarget(String businessTarget);
    @Parameter(name = "ICO")
    MWF60D ico(String ico);
    @Parameter(name = "IDCustomer")
    MWF60D iDCustomer(String iDCustomer);
    @Parameter(name = "IDInstanceKlienta")
    MWF60D iDInstanceKlienta(Long iDInstanceKlienta);
    @Parameter(name = "IDUnifikovanehoKlienta")
    MWF60D iDUnifikovanehoKlienta(Long iDUnifikovanehoKlienta);
    @Parameter(name = "IDZdrojovehoSystemu")
    MWF60D iDZdrojovehoSystemu(String iDZdrojovehoSystemu);
    @Parameter(name = "Priznak_BankovniTajemstvi")
    MWF60D priznakBankovniTajemstvi(String priznakBankovniTajemstvi);
    @Parameter(name = "RC")
    MWF60D rc(String rc);
    @Parameter(name = "TridaProduktu")
    MWF60D tridaProduktu(String tridaProduktu);
    @Parameter(name = "TypOsoby")
    MWF60D typOsoby(String typOsoby);
    @Parameter(name = "UcelDotazu")
    MWF60D ucelDotazu(String ucelDotazu);
    @Parameter(name = "ZjistiAktivniSmlouvu")
    MWF60D zjistiAktivniSmlouvu(String zjistiAktivniSmlouvu);
}
